net.sourceforge.pmd.symboltable

## Class MethodNameDeclarationTest

- java.lang.Object
- - net.sourceforge.pmd.symboltable.STBBaseTst
  - - net.sourceforge.pmd.symboltable.MethodNameDeclarationTest

    public class MethodNameDeclarationTest
    extends STBBaseTst

### Field Summary

### Fields inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`acu, stb`

### Constructor Summary

Constructors
Constructor and Description
`MethodNameDeclarationTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testEquality()`

### Methods inherited from class net.sourceforge.pmd.symboltable.STBBaseTst

`parseCode, parseCode, parseCode15`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodNameDeclarationTest

    public MethodNameDeclarationTest()

### Method Detail

#### testEquality

    public void testEquality()

#### suite

    public static junit.framework.Test suite()